services:
  diun:
    image: crazymax/diun:latest
    command: serve
    hostname: diun
    volumes:
      - ./data:/data
      - /var/run/docker.sock:/var/run/docker.sock
    environment:
      - TZ=America/New_York
      - DIUN_WATCH_WORKERS=20
      - DIUN_WATCH_SCHEDULE=0 */2 * * *
      - DIUN_WATCH_JITTER=30s
      - DIUN_DEFAULTS_NOTIFYON=new,update
      - DIUN_PROVIDERS_DOCKER=true
      - DIUN_PROVIDERS_DOCKER_WATCHBYDEFAULT=true
      - DIUN_NOTIF_TELEGRAM_TOKEN=${TELEGRAM_TOKEN}
      - DIUN_NOTIF_TELEGRAM_CHATIDS=${TELEGRAM_CHAT_ID}
      #- DIUN_NOTIF_TELEGRAM_TEMPLATEBODY=${TELEGRAM_TEMPLATE}
    labels:
      - diun.enable=true
    restart: unless-stopped
networks: {}
